clear
set mem 200m
set logtype text
set more off

cap log close
log using figure1_graphbars, replace

use monthlydata
gen ym = ym(year,month)
tsset ym

* Create graph bars
gen l1_succ = l1.numbPtk_succ_BB
replace l1_succ = 3 if l1_succ>=3 & l1_succ~=.

label var l1_succ "Successful targeted killings in previous month"
label def l1_succ 1 "1"  2 "2" 3 "3 or more" 
label val l1_succ l1_succ 

label var total_pal_attacks "Total Palestinian attacks - IDF data"
label var numbIsui_all "Number of suicide attacks - B'Tselem data" 

table l1_succ if ym>=489 & ym<=531, c(n total_pal_attacks mean total_pal_attacks mean numbIsui_all)

graph bar total_pal_attacks numbIsui_all if ym>=489 & ym<=531, over(l1_succ, relabel(1 `" "0" "(N=9)" "'   2 `" "1" "(N=11)" "'  3 `" "2" "(N=13)" "'   4 `" "3 or more" "(N=10)" "')) /*
*/        title("Total Palestinian attacks by number of" "successful targeted killings in previous month", color(gs0))  /*
*/        legend(label(1 "IDF - total attacks") label(2 "B'Tselem - all suicide attacks"))  /*
*/        bar (1, color(gs0)) bar(2, color(gs10)) saving(figure1_graphbar, replace) graphregion(color(white))



