clear
set mem 200m
set logtype text
set more off
cap log close
log using table2_TargetedKillings_summarystats, replace

version 9.0


use monthlydata
gen ym = ym(year, month)
keep if ym <= ym(2004,4)

* Row 1
table year, c(sum pal_tot) row

* Btselem rows
* Rows 2-4
table year, c(sum pal_tk_target_BB sum pal_tk_other_BB sum pal_tk_BB) row


* Calculations for row 5
egen x = sum(pal_tk_BB), by(year)
egen y = sum(pal_tot), by(year)
gen share_tk_BB_byyear= x/y
drop x y

egen x = sum(pal_tk_BB)
egen y = sum(pal_tot)
gen share_tk_BB_allyears = x/y
drop x y
gen byte cons = 1

* Row 5, by year
table year, c(mean share_tk_BB_byyear)

* Row 5 total
table cons, c(mean share_tk_BB_allyears)

* Rows 6-7
table year, c(sum numbPtk_succ_BB sum numbPtk_fail_BB) row

* calculations for rows 8
egen numbPtk_succ_BB_byyear = sum(numbPtk_succ_BB), by(year)
gen numbPtk_total_BB  = numbPtk_succ_BB + numbPtk_fail_BB
egen numbPtk_total_BB_byyear = sum(numbPtk_total_BB), by(year)
gen share_successful_BB_byyear = numbPtk_succ_BB_byyear /numbPtk_total_BB_byyear

egen numbPtk_succ_BB_allyears = sum(numbPtk_succ_BB)
egen numbPtk_total_BB_allyears = sum(numbPtk_total_BB)
gen share_successful_BB_allyears = numbPtk_succ_BB_allyears /numbPtk_total_BB_allyears

* Row 8, by year
table year, c(mean share_successful_BB_byyear)

* Row 8, all years
table cons, c(mean share_successful_BB_allyears)

* Calculations for row 9
egen pal_tk_BB_byyear = sum(pal_tk_BB), by(year)
gen avg_paltk_BB_pertk_byyear = pal_tk_BB_byyear/numbPtk_total_BB_byyear 

egen pal_tk_BB_allyears = sum(pal_tk_BB)
gen avg_paltk_BB_pertk_allyears  = pal_tk_BB_allyears/numbPtk_total_BB_allyears

* Row 9, by year
table year, c(mean avg_paltk_BB_pertk_byyear)

* Row 9, all years
table cons, c(mean avg_paltk_BB_pertk_allyears)

*********************************************************************************************

* Zussman and Zussman rows
* Rows 10-12
table year, c(sum pal_tk_target_ZZ sum pal_tk_other_ZZ sum pal_tk_ZZ) row


* Calculations for row 13
egen x = sum(pal_tk_ZZ), by(year)
egen y = sum(pal_tot), by(year)
gen share_tk_ZZ_byyear= x/y
drop x y

egen x = sum(pal_tk_ZZ)
egen y = sum(pal_tot)
gen share_tk_ZZ_allyears = x/y
drop x y

* Row 13, by year
table year, c(mean share_tk_ZZ_byyear)

* Row 13 total
table cons, c(mean share_tk_ZZ_allyears)

* Rows 14-15
table year, c(sum numbPtk_succ_ZZ sum numbPtk_fail_ZZ) row

* calculations for rows 16
egen numbPtk_succ_ZZ_byyear = sum(numbPtk_succ_ZZ), by(year)
gen numbPtk_total_ZZ  = numbPtk_succ_ZZ + numbPtk_fail_ZZ
egen numbPtk_total_ZZ_byyear = sum(numbPtk_total_ZZ), by(year)
gen share_successful_ZZ_byyear = numbPtk_succ_ZZ_byyear /numbPtk_total_ZZ_byyear

egen numbPtk_succ_ZZ_allyears = sum(numbPtk_succ_ZZ)
egen numbPtk_total_ZZ_allyears = sum(numbPtk_total_ZZ)
gen share_successful_ZZ_allyears = numbPtk_succ_ZZ_allyears /numbPtk_total_ZZ_allyears

* Row 16, by year
table year, c(mean share_successful_ZZ_byyear)

* Row 16, all years
table cons, c(mean share_successful_ZZ_allyears)

* Calculations for row 17
egen pal_tk_ZZ_byyear = sum(pal_tk_ZZ), by(year)
gen avg_paltk_ZZ_pertk_byyear = pal_tk_ZZ_byyear/numbPtk_total_ZZ_byyear 

egen pal_tk_ZZ_allyears = sum(pal_tk_ZZ)
gen avg_paltk_ZZ_pertk_allyears  = pal_tk_ZZ_allyears/numbPtk_total_ZZ_allyears

* Row 17, by year
table year, c(mean avg_paltk_ZZ_pertk_byyear)

* Row 17, all years
table cons, c(mean avg_paltk_ZZ_pertk_allyears)

log close
