clear
set mem 200m
set logtype text
set more off

cap log close
log using table3_isrRF_suicides, replace

use weeklydata



* Column (1): levels 
reg pal_tot l(1/2).numbIsui_succ l(1/2).numbIsui_fail l(1/2).isr_oth l(1/2).pal_tot period2-period7 sepbarrier_length if week>=3 & week<=227, robust 
test l1.numbIsui_succ l2.numbIsui_succ
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.numbIsui_fail l2.numbIsui_fail 
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.isr_oth l2.isr_oth 
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)



* (Column 2): number of people killed in TKs
reg pal_tk_BB l(1/2).numbIsui_succ l(1/2).numbIsui_fail l(1/2).isr_oth l(1/2).pal_tot period2-period7 sepbarrier_length if week>=3 & week<=227, robust 
test l1.numbIsui_succ l2.numbIsui_succ
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.numbIsui_fail l2.numbIsui_fail 
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.isr_oth l2.isr_oth 
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

log close
