clear
version 9

set mem 200m
set logtype text
set more off

cap log close
log using table4_palRF_TargetedKillings, replace

use weeklydata


* (1) Total Israeli fatalities - column 1
reg isr_tot l(1/2).numbPtk_succ_BB l(1/2).numbPtk_fail_BB l(1/2).pal_oth_BB l(1/2).isr_tot period2-period7 sepbarrier_length if week>=3 & week<=191, robust 
test l1.numbPtk_succ_BB l2.numbPtk_succ_BB
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.numbPtk_fail_BB l2.numbPtk_fail_BB
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.pal_oth_BB l2.pal_oth_BB
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)



* (2) Number of Israelis killed in suicide attacks - column 2
reg isr_suicide l(1/2).numbPtk_succ_BB l(1/2).numbPtk_fail_BB l(1/2).pal_oth_BB l(1/2).isr_tot period2-period7 sepbarrier_length if week>=3 & week<=191, robust 
test l1.numbPtk_succ_BB l2.numbPtk_succ_BB
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.numbPtk_fail_BB l2.numbPtk_fail_BB
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)

test l1.pal_oth_BB l2.pal_oth_BB
scalar chi2=r(df)*r(F)
di chi2
di chi2tail(r(df), chi2)


log close
