clear

set mem 100m 
set more off
set logtype text
set matsize 100

cap log close
log using table6_geographic, replace


use weeklydata_bydistrict
tsset district week

* Define Palestinian fatalities non it TKs, and nontargets
gen pal_oth_BB = pal_tot - pal_tk_BB
gen pal_tk_nontarget_BB = pal_tk_BB - pal_tk_target_BB

egen x = sum(pal_tk_BB), by(week)
gen pal_tk_nonlocal_BB = x - pal_tk_BB
drop x

egen x = sum(pal_tk_target_BB), by(week)
gen pal_tk_target_nonlocal_BB = x - pal_tk_target_BB
drop x

egen x = sum(numbPtk_succ_BB), by(week)
gen numbPtk_succ_nonlocal_BB = x - numbPtk_succ_BB
drop x

egen x = sum(numbPtk_fail_BB), by(week)
gen numbPtk_fail_nonlocal_BB = x - numbPtk_succ_BB
drop x

xi i.district, prefix(_I)

* Table 6 regressions
reg isr_tot l(1/2).numbPtk_succ_BB l(1/2).numbPtk_fail_BB l(1/2).pal_oth_BB   l(1/2).isr_tot period2-period7 sepbarrier_length _I*  if week>=3 & week<=191, robust 
reg isr_tot l(1/2).numbPtk_succ_BB l(1/2).numbPtk_succ_nonlocal_BB l(1/2).numbPtk_fail_BB l(1/2).numbPtk_fail_nonlocal_BB  l(1/2).pal_oth_BB  l(1/2).isr_tot period2-period7 sepbarrier_length _I* if week>=3 & week<=191, robust 
reg isr_suicide l(1/2).numbPtk_succ_BB l(1/2).numbPtk_fail_BB l(1/2).pal_oth_BB  l(1/2).isr_tot  period2-period7 sepbarrier_length _I* if week>=3 & week<=191, robust 
reg isr_suicide l(1/2).numbPtk_succ_BB l(1/2).numbPtk_succ_nonlocal_BB l(1/2).numbPtk_fail_BB l(1/2).numbPtk_fail_nonlocal_BB  l(1/2).pal_oth_BB  l(1/2).isr_tot period2-period7 sepbarrier_length _I* if week>=3 & week<=191, robust 


log close

