clear
set mem 200m
set logtype text
set more off

cap log close
log using table8_palRF_intendedviolence_nonlinear, replace

use monthlydata

gen ym = ym(year, month)
tsset ym

gen byte period2 = period==2
gen byte period3 = period==3
gen byte period4 = period==4
gen byte period5 = period==5
gen byte period6 = period==6
gen byte period7 = period==7


* (6) Palestinian Reaction function
gen l1_succ = l1.numbPtk_succ_BB
gen l1_succsq = l1_succ^2

gen l1_fail = l1.numbPtk_fail_BB
gen l1_failsq = l1_fail^2

gen l1_oth = l1.pal_oth_BB
gen l1_othsq = l1_oth^2


* Column(1)
reg numbIsui_all l1_succ l1_succsq l1_fail l1_failsq l1_oth l1_othsq l(1/1).isr_tot period2-period7 sepbarrier_length if ym<=531, robust 

* Column(2)
reg total_pal_attacks l1_succ l1_succsq l1_fail l1_failsq l1_oth l1_othsq l(1/1).isr_tot period2-period7 sepbarrier_length if ym<=531, robust 




